# -*- encoding: utf-8 -*-
# stub: diva 2.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "diva".freeze
  s.version = "2.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "rubygems_mfa_required" => "true" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Toshiaki Asai".freeze]
  s.bindir = "exe".freeze
  s.date = "2021-12-18"
  s.email = ["toshi.alternative@gmail.com".freeze]
  s.files = [".circleci/config.yml".freeze, ".gitignore".freeze, ".rubocop.yml".freeze, ".travis.yml".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "bin/console".freeze, "bin/setup".freeze, "diva.gemspec".freeze, "lib/diva.rb".freeze, "lib/diva/datasource.rb".freeze, "lib/diva/error.rb".freeze, "lib/diva/field.rb".freeze, "lib/diva/field_generator.rb".freeze, "lib/diva/model.rb".freeze, "lib/diva/model_extend.rb".freeze, "lib/diva/spec.rb".freeze, "lib/diva/type.rb".freeze, "lib/diva/uri.rb".freeze, "lib/diva/version.rb".freeze]
  s.homepage = "https://github.com/toshia/diva".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.0".freeze)
  s.rubygems_version = "3.4.19".freeze
  s.summary = "Implementation of expression for handling things.".freeze

  s.specification_version = 4

  s.add_development_dependency(%q<bundler>.freeze, [">= 1.16.1", "< 3.0"])
  s.add_development_dependency(%q<irb>.freeze, [">= 1.3.7", "< 2.0"])
  s.add_development_dependency(%q<minitest>.freeze, [">= 5.14.4", "< 5.15"])
  s.add_development_dependency(%q<rake>.freeze, [">= 13.0.1", "< 14.0"])
  s.add_development_dependency(%q<rubocop>.freeze, [">= 1.23.0", "< 1.24.0"])
  s.add_development_dependency(%q<simplecov>.freeze, [">= 0.17.1", "< 1.0"])
  s.add_runtime_dependency(%q<addressable>.freeze, [">= 2.5.2", "< 3.0"])
end

